package com.njcn.service.user;

import java.util.Date;
import java.util.List;

import com.njcn.pojo.commons.SimpleValue;
import com.njcn.pojo.data.Detailed;
import com.njcn.pojo.data.LimitrateDays;
import org.apache.ibatis.annotations.Param;

import com.njcn.pojo.user.Depts;

public interface DeptsService {
    public List<List> getDepts();

    //根据name查询部门
    Depts getDeptsByLikeName(String name);

    List<Depts> selectAll();

    Depts selectName(String parentNodeId);

    List<Depts> selparentnode(String deptsIndex);

    String saveDepts(String deptsName, String deptsDescription, String parentNodeId, String area, int customDept);

    //查询除此之外的名称
    List<Depts> selName(@Param(value = "deptsIndex") String deptsIndex);

    String deleteDeptsByIndex(String index);

    Depts getAll(String deptsIndex);

    Depts getAllArea(String deptsIndex);

    int updateDepts(Depts depts);

    //根据选中的部门进行查询
    List<Depts> getId(@Param(value = "deptsIndex") String deptsIndex);

    List<List> getD(@Param(value = "deptsIndex") String deptsIndex);

    List<Depts> selectDeptAll();

    //根据区域获取地图信息
    SimpleValue getMapInfo(String area);

    Depts selectAreaDept(String deptsIndex);

    List<LimitrateDays> getLimitRateDays(String name,Date start, Date end, int type, int... to);

    List<Detailed> getDetailed(Date start, Date end, String guid, String type);
}
